<?php
@require("../class/connect.php");
if(!defined('InEmpireCMS'))
{
	exit();
}
include("../class/db_sql.php");
include("../class/config.php");
include("../class/q_functions.php");
include("../class/class.php");
include LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
$id=(int)$_GET['id'];
$classid=(int)$_GET['classid'];
if(empty($id)||empty($classid))
{printerror("ErrorUrl","history.go(-1)",1);}
if(empty($class_r[$classid][tbname]))
{printerror("ErrorUrl","history.go(-1)",1);}
$r=$empire->fetch1("select * from {$dbtbpre}ecms_".$class_r[$classid][tbname]." where id='$id' and classid='$classid'");
if(empty($r[id]))
{printerror("ErrorUrl","history.go(-1)",1);}
//权限
if($r[groupid])
{
	$check_groupid=$r[groupid];
	$check_fh=$r[fh];
	$check_newsid=$r[id];
	$check_userfen=$r[userfen];
	$check_path="../../";
	@include("../class/CheckLevel.php");
}
//存放
if(strstr($public_r['savetxtf'],",".$class_r[$classid][tbname].".newstext,"))
{
	$r[newstext]=GetTxtFieldText($r[newstext]);
}
$r[newstext]=stripSlashes($r[newstext]);
//替换掉分页符
$r[newstext]=str_replace("[!--empirenews.page--]","",$r[newstext]);
$r[newstext]=str_replace("[/!--empirenews.page--]","",$r[newstext]);
$url=ReturnClassLink($r[classid])."&nbsp;".$fun_r['zw']."&nbsp;>";
//标题链接
$titlelink=sys_ReturnBqTitleLink($r);
db_close();
$empire=null;
?>
<!--empire.print-->
